Thibault replied to the topic 'ZWO EAF error' in the forum. 2 weeks ago

Eventually the problems goes away when I reload the driver with indi web manager. However it is still not clear to me what does this error code stands for.

Read More...

Thibault created a new topic ' ZWO EAF error' in the forum. 3 weeks ago

Dear all,

I recently started to use a ZWO EAF focuser. Unfortunately, after 1 or two successful attempts. I am stuck with the following error message on kstars integrated indi client:
[ERROR] Failed to read max step. Error: 4 2020-07-19T11:29:13:
[ERROR] Failed to stop focuser. Error: 4

What happened ?

Thank you in advance for your help

Read More...

Thibault replied to the topic 'Received blob with size 0 through PyIndi' in the forum. 3 weeks ago

Thank you pludov ! I checked and it looks like this is also what Gulinux did with AstrophotoPlus, he has a blob client specific class.
I decided to keep a "Big" client, responsible for every callbacks related to one server, but I changed the newBlob callback to use something less naive that was I was using before, with a proper process-based mechanism to enqueue the very next blob that comes in after an acquisition has been triggered. (Again, I took was Gulinux did in AstrophotoPlus, which is an amazing software).

I might change the big client approach in the future, depending on the performances.
Anyway, thanks to this queuing mechanism, it looks like I don't have this problem anymore, now, I don't really now if the problem was due to timing issues, or memory space / multi process synchronization (I don't remember if client callback are run in the same process or not), but now the problem is gone.

Read More...

Thibault replied to the topic 'Received blob with size 0 through PyIndi' in the forum. 3 weeks ago

To answer my own question, the problem is probably coming from there:
setBLOBMode(PyIndi.B_ALSO, device_name, 'CCD1')

Using a single client is probably not a good thing to do, although it is very convenient in the general case

Read More...

Thibault created a new topic ' Received blob with size 0 through PyIndi' in the forum. 3 weeks ago

Dear all,

While playing with a homemade scheduling software, I recently came across a problem, although I have been using the blob reception code for quite a while, things apparently started to change, as I instantiated two camera device in my code.
The problem is recurring, I can reproduce it every time I run my code, but the path to get there is pretty complicated, and I haven't been able to setup a minimal working code to exhibit the problem.

To give you a bit of context:
I am using both CCD Simulator and Guide simulator. I have a single client object that manages both (server are running on localhost).
The Guide Simulator is used by PHD2 in parallel for guiding.
I am interacting in my code with CCD SImulator device in order to acquire while the virtual setup is guiding.

What happens every time, while I am trying to use the CCD SImulator (while Guide simulator is used by PHD2) is that I end up receiving a 'CCD1' blob for the right device (ie blob.bvc.device is CCD Simulator) but its size is 0, and it cannot be read as a fits file.
It is not clear to me how I should deal with an indiclient that should be able to handle two cameras shooting at the same time, because I suspect the problem is coming from there, apparently indiclient offers only one blob identifier in that case, which is "CCD1".

Can someone help me understanding what is wrong with my approach, or what should be the right approach for a dual camera setup with pyindi.

Thank you in advance for your help

Read More...

Thibault replied to the topic 'Fornax Mount support?' in the forum. 2 months ago

Flagging this discussion as well. Fornax this to be providing very good value for the money and they claim their mounts have a very low backlash by design.
Also, they are one of the few company to provide absolute encoder under <7.5k euros
Unfortunately, no indi support is a no-go for me. I did not managed to find more information about the mc5 controller: fornaxmounts.com/products/electronics/ur...l#parentVerticalTab1

Read More...

Thibault replied to the topic 'pyindi-client fails at runtime because of missing symbol' in the forum. 3 months ago

Continuing on this:

grep getTextEv /usr/lib/libindiclient.a
Binary file /usr/lib/libindiclient.a matches

The libindiclient does seems to have the symbol defined

However, when trying to check the pyindi swig binary, I see this:
nm -D /usr/lib/python3.8/site-packages/pyindi_client-0.2.2-py3.8-linux-aarch64.egg/_PyIndi.cpython-38-arm-linux-gnueabihf.so | grep _ZN4INDI8Property7getTextEv
U _ZN4INDI8Property7getTextEv

It is undefined unfortunately....
nm -C /usr/lib/python3.8/site-packages/pyindi_client-0.2.2-py3.8-linux-aarch64.egg/_PyIndi.cpython-38-arm-linux-gnueabihf.so | grep getText
0001d118 t _wrap_BaseDevice_getText
00019330 t _wrap_Property_getText
00030d04 T INDI::BaseDevice::getText(char const*)
U INDI::Property::getText()
00036884 T INDI::Property::getText() const

There is definitely a definition missing for the non-const getText method

Read More...

Thibault replied to the topic 'pyindi-client fails at runtime because of missing symbol' in the forum. 3 months ago

Ok I just realized I was mixing everything up, as the pyindiclient was supposed to be statically linked with libindiclient.a
To understand that, I used pip to keep build directory with:

pip3.8 install --build /tmp/mybuild --no-clean pyindi-client

Now, trying to check out what in libindiclient is causing problems

Read More...

Thibault replied to the topic 'pyindi-client fails at runtime because of missing symbol' in the forum. 3 months ago

Ok apparently, according to web.mit.edu/tibbetts/Public/inside-c/www/mangling.html the additional K stands for const.
However, I don't think it has to do with the current problem of symbol not being found.

This is more intruiguing though:
rock@localhost:~/projects/$ ldd /usr/lib/python3.8/site-packages/_PyIndi.cpython-38-arm-linux-gnueabihf.so
libz.so.1 => /lib/arm-linux-gnueabihf/libz.so.1 (0xf73c2000)
libcfitsio.so.5 => /usr/lib/arm-linux-gnueabihf/libcfitsio.so.5 (0xf7260000)
libnova-0.16.so.0 => /usr/lib/arm-linux-gnueabihf/libnova-0.16.so.0 (0xf6edc000)
libstdc++.so.6 => /usr/lib/arm-linux-gnueabihf/libstdc++.so.6 (0xf6dd0000)
libm.so.6 => /lib/arm-linux-gnueabihf/libm.so.6 (0xf6d58000)
libgcc_s.so.1 => /lib/arm-linux-gnueabihf/libgcc_s.so.1 (0xf6d2f000)
libc.so.6 => /lib/arm-linux-gnueabihf/libc.so.6 (0xf6c41000)
/lib/ld-linux-armhf.so.3 (0xf7494000)
libbz2.so.1.0 => /lib/arm-linux-gnueabihf/libbz2.so.1.0 (0xf6c25000)
libpthread.so.0 => /lib/arm-linux-gnueabihf/libpthread.so.0 (0xf6c01000)

So I guess there is either a problem of link on my side because Pyindi library is not linked with libindidriver.so

I don't know how can I act on this, maybe by providing pip an additional option ?

Read More...

Thibault created a new topic ' pyindi-client fails at runtime because of missing symbol' in the forum. 3 months ago

Dear all,

Rcently found myself with the following problem while trying to import and use pyindi-client on a new machine:

Traceback (most recent call last):
File "/usr/lib/python3.8/site-packages/PyIndi.py", line 18, in swig_import_helper
return importlib.import_module(mname)
File "/usr/lib/python3.8/importlib/__init__.py", line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
File "<frozen importlib._bootstrap>", line 991, in _find_and_load
File "<frozen importlib._bootstrap>", line 975, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 657, in _load_unlocked
File "<frozen importlib._bootstrap>", line 556, in module_from_spec
File "<frozen importlib._bootstrap_external>", line 1101, in create_module
File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
ImportError: /usr/lib/python3.8/site-packages/_PyIndi.cpython-38-arm-linux-gnueabihf.so: undefined symbol: _ZN4INDI8Property7getTextEv

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "./apps/prototyping/Observatory/IndiScopeController.py", line 8, in <module>
from helper.IndiClient import IndiClient
File "/home/rock/projects/RemoteObservatory/helper/IndiClient.py", line 7, in <module>
import PyIndi
File "/usr/lib/python3.8/site-packages/PyIndi.py", line 21, in <module>
_PyIndi = swig_import_helper()
File "/usr/lib/python3.8/site-packages/PyIndi.py", line 20, in swig_import_helper
return importlib.import_module('_PyIndi')
File "/usr/lib/python3.8/importlib/__init__.py", line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
ImportError: /usr/lib/python3.8/site-packages/_PyIndi.cpython-38-arm-linux-gnueabihf.so: undefined symbol: _ZN4INDI8Property7getTextEv



I have pip --force-reinstall the package of course. But I found something quite weird I did not managed to understand. Locally I had multiple version of the libindi driver:

rock@localhost:~/projects/RemoteObservatory$ nm -D /usr/local/lib/libindidriver.so.1.8.4 | grep _ZN4INDI8Property7getTextEv
0004308c T _ZN4INDI8Property7getTextEv
rock@localhost:~/projects/RemoteObservatory$ nm -D /usr/local/lib/libindidriver.so.1.8.6 | grep Property7getTextEv
000433d4 T _ZNK4INDI8Property7getTextEv


I forgot to demangle before deleting the 1.8.4, to see what the first _ZNK versus _ZN letter where standing for. But I noticed that the 1.8.5 and 1.8.6 both had the _ZNK and 1.8.4 had the _ZN
Did something changed recently that broke the backward compatibility with pyindi ?

Thank you in advance for your help

Read More...

Dear all,

I am playing with the indi focuser simulator, which is absolutely awesome because the camera simulator also simulates the defocus/blurring accordingly :)
At some point, I'd like to implement the solution that runs with the simulator in real life. Unfortunately, I realized that, on the contrary of the simulator, getting /setting absolute position on off-the-shelf focuser is usually impossible due to the absence of encoder on commercial solution.
Even a low resolution encoder would be fine, or even a homing sensor with the hability to set home position (much like on the common 3d printers) would be nice to control a remote telescope, but it looks like there is no such solution currently available.

Please tell me if there are solutions available to get to know the absolute position of the focuser

Thank you in advance for your help.

Read More...